Questions & Answers

SanDisk Cruzer USB Flash Drive Compatibility with StudioLive AI

0 votes
208 views
asked May 12, 2015 in Ai Mixers by AlexTinsley (764,190 points)
SanDisk Cruzer USB Flash Drive Compatibility with StudioLive AI or what is the best brand of thumb drive to use with the StudioLive Ai mixers?

1 Answer

0 votes
answered May 12, 2015 by AlexTinsley (764,190 points)
 
Best answer

If you're having trouble making your SanDisk Cruzer USB Flash Drive work with the StuidoLive AI, this may apply to you. 

We found out this the earlier models of SanDisk Cruzer series USB Flash Drive (with a black square body and a red or white plastic slide) has two partitions on it. 

1st Partition is for their proprietary U3 mobile app / storage program
2nd Partition is for thumb drive storage. 

It's this first partition that interferes with the StudioLive AI from being able to see the thumb drive. 
Even formatting the drive will only format the 2nd partition. The first partition shows up in device manager as an optical drive. 

Luckily SandDisk has a solution that will allow you to remove this 1st partition, by using their U3 removal tool found on their website. A link can be found here: 

​http://kb.sandisk.com/app/answers/detail/a_id/2550/kw/u3%20removal%20tool

 

Once this had been done, we found that the SanDisk Cruzer Glide worked rather well out of the box when it doesn't have this hidden partition on it.

Other versions of SanDisk USB Flash Drives that we tested and found to work include:

* SanDisk Glide SDCZ60 series that have an angled back bottom edge

* SanDisk Cruzer Edge SDCZ51W Series

* SanDisk Cruzer Switch Series

 

NOTE: Please always format your drive before use. The format that comes on the drive may not always allow for proper operation with the StudioLive AI. We found that formatting the drive as FAT32 on PC / FAT on Mac OS X allowed for better compatibility with the console. For details on how to update your your console with your thumb drive be sure to watch the video for your Operating System:

Mac OS X 10.7.5 or 10.8.5

Windows 7 or Windows 8

...